欢迎来到站长教程网!
兔子CDN

Apache

当前位置:主页 > 服务器教程 > Apache >

Apache支持Ruby程序吗?

时间:2020-08-05|栏目:Apache|点击:

Apache支持Ruby程序吗?

在Apache上运行ruby文件需要启用mod_ruby。Apache还可以通过FastCGI处理ruby文件。在mod_fcgid即FastCGI的帮助下,可以使用多个版本的ruby。

还可以安装apache乘客并配置Apache以使用它来提供ruby页面。 ( 推荐学习:apache入门 )

(Phusion Passenger也称为“乘客”是一个免费的Web服务器模块,旨在与Apache和Nginx集成)

在服务器上安装mod_ruby的步骤如下

cd /tmp wget tar zxvf mod_ruby-1.2.6.tar.gz cd mod_ruby-1.2.6/ ./configure.rb --with-apr-includes=https://www.php.cn/usr/include/apr-1 make make install

如何使用Apache运行Ruby?

需要将mod_ruby模块添加到Apache配置,即/etc/httpd/conf.d/ruby.conf并添加以下行。

LoadModule ruby_module modules /mod_ruby.so

如果要启用或禁用这些模块,则必须编辑apache配置文件并注释或取消注释这些模块(如果Web服务器已使用这些模块进行编译)。

apache-1.png

上一篇:Apache和nginx哪个性能高?

栏    目:Apache

下一篇:如何关闭apache服务

本文标题:Apache支持Ruby程序吗?

本文地址:www.dtcnnet.com/Apache/2997.html

广告投放 | 联系我们 | 版权申明

重要申明:本站所有的文章、图片、评论等,均由网友发表或上传并维护或收集自网络,属个人行为,与本站立场无关。

如果侵犯了您的权利,请与我们联系,我们将在24小时内进行处理、任何非本站因素导致的法律后果,本站均不负任何责任。

联系QQ:584415406 | 邮箱:584415406#qq.com(#换成@)

Copyright © 2015-2020 小白站长网 版权所有 苏ICP备20040415号